org.apache.struts2.util

## Class SubsetIteratorFilter

- java.lang.Object
- - org.apache.struts2.util.IteratorFilterSupport
  - - org.apache.struts2.util.SubsetIteratorFilter

- All Implemented Interfaces:
    Action, Iterator

      public class SubsetIteratorFilter
      extends IteratorFilterSupport
      implements Iterator, Action

  A bean that takes an iterator and outputs a subset of it.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `SubsetIteratorFilter.Decider` A decider determines if the given element should be added to the list or not.

    - ### Nested classes/interfaces inherited from class org.apache.struts2.util.IteratorFilterSupport

      `IteratorFilterSupport.EnumerationIterator`

  - ### Field Summary

    - ### Fields inherited from interface com.opensymphony.xwork2.Action

      `ERROR, INPUT, LOGIN, NONE, SUCCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubsetIteratorFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `decide(Object element)`
    `String` | `execute()` Where the logic of the action is executed.
    `boolean` | `hasNext()`
    `Object` | `next()`
    `void` | `remove()`
    `void` | `setCount(int aCount)`
    `void` | `setDecider(SubsetIteratorFilter.Decider aDecider)`
    `void` | `setSource(Object anIterator)`
    `void` | `setStart(int aStart)`

    - ### Methods inherited from class org.apache.struts2.util.IteratorFilterSupport

      `getIterator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### SubsetIteratorFilter

          public SubsetIteratorFilter()

  - ### Method Detail

    - #### setCount

          public void setCount(int aCount)

    - #### setSource

          public void setSource(Object anIterator)

    - #### setStart

          public void setStart(int aStart)

    - #### setDecider

          public void setDecider(SubsetIteratorFilter.Decider aDecider)

    - #### execute

          public String execute()

      Description copied from interface: `Action`
      Where the logic of the action is executed.
      Specified by:
        `execute` in interface `Action`
      Returns:
        a string representing the logical result of the execution. See constants in this interface for a list of standard result values.

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator`

    - #### next

          public Object next()

      Specified by:
        `next` in interface `Iterator`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator`

    - #### decide

          protected boolean decide(Object element)

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.